/// <reference types="recompose" />
import { SFC, CSSProperties } from 'react';
interface IUpdateOptions {
    updates: string[];
    component: SFC<any>;
    updatingStyle?: CSSProperties;
    updatingName?: string;
}
declare const withManualUpdating: ({ component, updatingStyle }: IUpdateOptions) => import("recompose").ComponentEnhancer<{}, {}>;
declare const withUpdatingCreator: ({ updates, component, updatingStyle }: IUpdateOptions) => import("recompose").ComponentEnhancer<{}, {}>;
export { withManualUpdating, withUpdatingCreator, IUpdateOptions };
